#
# Conditional build:
%bcond_without	static_libs	# don't build static library
%bcond_without	ipv6		# disable IPv6 support
#
Summary:	LibTorrent - a BitTorrent library written in C++ for Unix
Summary(pl.UTF-8):	LibTorrent - biblioteka BitTorrenta napisana w C++ dla Uniksa
Name:		libtorrent
# keep stable line, see URL below
Version:	0.13.8
Release:	2
Epoch:		1
License:	GPL v2+
Group:		Libraries
Source0:	http://rtorrent.net/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	ca02e624fde0d704780085987010f99a
Patch0:		%{name}-client_list.patch
Patch1:		%{name}-build.patch
URL:		https://github.com/rakshasa/rtorrent/wiki
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	cppunit-devel >= 1.9.6
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibTorrent is a BitTorrent library written in C++ for *nix, with a
focus on high performance and good code. The library differentiates
itself from other implementations by transfering directly from file
pages to the network stack. On high-bandwidth connections it is able
to seed at 3 times the speed of the official client.

%description -l pl.UTF-8
LibTorrent to biblioteka BitTorrenta napisana w C++ dla Uniksa. Jest
zaprojektowana aby uniknąć nadmiarowego kopiowania buforów i danych,
będącego wadą większości (wszystkich?) innych implementacji
BitTorrenta. Biblioteka jest jednowątkowa, klient obsługuje pętlę
select.

%package devel
Summary:	Development files for libtorrent
Summary(pl.UTF-8):	Pliki programistyczne libtorrent
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libstdc++-devel
Requires:	openssl-devel >= 0.9.7d
Requires:	zlib-devel

%description devel
Development files for libtorrent.

%description devel -l pl.UTF-8
Pliki programistyczne libtorrent.

%package static
Summary:	Static libtorrent library
Summary(pl.UTF-8):	Statyczna biblioteka libtorrent
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libtorrent library.

%description static -l pl.UTF-8
Statyczna biblioteka libtorrent.

%prep
v=%{version}; IFS=.; set -- $v
if [ $(($2 % 2)) = 0 ]; then
	echo "WARNING Version %{version} is probably unstable, check it first!"
	exit 1
fi
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I scripts
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	--%{?with_ipv6:en}%{!?with_ipv6:dis}able-ipv6 \
	--%{?debug:en}%{!?debug:dis}able-debug \
	%{?with_static_libs:--enable-static} \
%ifarch i386 i486
	--disable-instrumentation
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/libtorrent.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtorrent.so.21

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtorrent.so
%{_libdir}/libtorrent.la
%{_includedir}/torrent
%{_pkgconfigdir}/libtorrent.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libtorrent.a
%endif
%changelog
* Tue Oct 05 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libtorrent.git;a=log;h=master

* Tue Oct 05 2021 Jan Rękorajski <baggins@pld-linux.org> 13267ea
- rediff ptach, rebuild with openssl 3.0.0, rel 2

* Tue Aug 27 2019 Adam Gołębiowski <adamg@pld-linux.org> 9eb6269
- updated to 0.13.8

* Thu Feb 28 2019 Marcin Krol <hawk@tld-linux.org> 432a49c
- release 2

* Sat Sep 22 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 0307f25
- up to 0.13.7 + openssl fix

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 69c2515
- release 4 (by relup.sh)

* Fri Sep 14 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 05f1fb9
- release 3 (by relup.sh)

* Thu Oct 22 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> b91d631
- one more place

* Thu Oct 22 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 2d2abaf
- rel 2; don't include -L/usr/lib

* Fri Oct 09 2015 Jakub Bogusz <qboosh@pld-linux.org> 55ec7f7
- updated to 0.13.6 (note: new soname)

* Sun Jun 29 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 42275ee
- rel 3; show why decoding bencoded data failed

* Thu May 22 2014 Jakub Bogusz <qboosh@pld-linux.org> ca0459a
- updated libtool version

* Mon May 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 90230e9
- rel 2; disable atomic ops on < i586

* Sat May 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9e8c832
- up to 0.13.4

* Sun May 06 2012 Elan Ruusamäe <glen@pld-linux.org> a97435e
- restore stable checker, this time with odd versions

* Sun May 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4d925a9
- up to 0.13.2 (stable)

* Mon Jan 23 2012 Elan Ruusamäe <glen@pld-linux.org> 600eaf8
- try to figure odd/even automatically

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> a68fadc
- unstable version 0.13.0 big fat blocker

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> b174b3e
- reverted, 0.13.0 is unstable

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> 359b861
- up to 0.13.0

* Sat Jul 23 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 017c7b5
- stable note

